Copyright: Yamp is copyright by André Karwath (AKA), 1997


Start Page

- Yet Another Music Player -

Features

Useful Hints

Shortcuts

The .design files

Version History

About

Yamp is copyright by André Karwath (AKA), 1997.

For the latest version jump to http://www.tu-chemnitz.de/~aka


Features

- The Features -

o	Easy to use.
o	Full support for WAV files - all formats, even compressed one (GSM, ADPCM ...).
o	Full support for MIDI and RMI files.
o	Full support for MODs, S3Ms and XMs.
o	Powerful playlists - can handle all supported formats together, unlimited size, the playlists are save- and loadable.
o	Command line support, Yamp handles single files, a number of files, playlists and even complete folders (yes, with sub folders - of course).
o	Drag'n'Drop support, again: Yamp handles single files, a number of files, playlists, complete folders ... if you like, even all together
o	Just click on the song gauge to jump to another position in the song.
o	Just click on the playlist gauge to jump to another song, or use the right mouse button to select a song from a menu.
o	with Yamp you are only one mouse click away from your most wanted folders
o	If you minimize Yamp, you will find the most wanted buttons in the Traybar.
o	And don't ignore the loadable design files, you can even create your own ones.
o	Yamp is freeware


Hints

- Useful Hints -

To get the most out of Yamp, try this:

o	Click on the song gauge to jump to another position in the song.
o	Click on the playlist gauge to jump to another song - left button: direct jump - right button: song menu
o	Right click at the Disc button for a menu with file related functions.
o	Right click at the Option button to access the quick-load menu for the designs.
o	Right click at the Play button to access a menu with the repeat/shuffle options.
o	To easily open some songs, folders or playlists, drag the files from the explorer onto Yamp.
o	Yamp supports the command line. If you store your playlists on the desktop, you can open them very fast.
o	To change the song order in the playlist window, use Drag'n'Drop or the sort functions.
o	To change the sound quality, use the option window.
o	To load another design, open the option window, the press the "Get" button.
o	Use the Traybar to control Yamp while it is minimized.
o	This version is probably already out of date, jump to http://www.tu-chemnitz.de/~aka to download the latest one.


About

- About This Program -

Yamp is copyright by André Karwath aka AKA, 1997.

For the playback of MODs, S3Ms and XMs it uses the great Midas Sound System.

Yamp is freeware. To download the latest version, jump to http://www.tu-chemnitz.de/~aka. For more programs by me, like SMoRPhi, my software synthesizer or ScAleIt, the chord recognition and demonstration program, or for the latest versions of a lot of players, trackers, converters and other tools, for samples, songs and even more related stuff, visit the same site.

Your comments are welcome. Write to aka@informatik.tu-chemnitz.de


Design files

- The .design files -

Introduction

Yamp uses the files with the extension .design to load the complete design of the program at runtime. In a design file all the bitmaps for the buttons, the background of the main window, a polygon shape for the window and more things are defined.

The main reason for this - at the first glance probably pointless feature - is the possibility to load and use your favourite design without leaving Yamp's powerful sound engine. If you don't like blue backgrounds, use a colorful one, if you don't like colors at all, use a grey design. If you don't like rectangle windows, use the triangle ones, if you don't like windows at all, use DOS. But then - this is really a missing feature - you can't use Yamp ;-)

To load a design file, open the Option window and press the "Get" button. Then jump to the folder where the files are stored, select a file and press OK. If you close the Option window now, the new design will be loaded and marked as the new default one. Another, faster way is to click with the right mouse button at the Option button.

With the help of the following lines you should be able to create your own design files. If you think that you have created a really good looking or at least a hyper cool design, don't hesitate to send it to me (aka@informatik.tu-chemnitz.de). If you have done a good work, I will include it in the further versions of Yamp, or at least, I will create something like a "Additional Yamp Design Package". If you send me more than two different designs, I will create a package only for you and store it on my homepage, direct below Yamp ;-)

Use your chance to show the rest of the world your capabilities and your fantasy. You know, the design can have all forms and all colors you can think on, build your round house, round doors and ... round windows.

The format of the design files.

To speak with Mr. H of Triton: "Be prepared! Are you sure you want to know?"  (from the description of the .XI format)

Some general notes about the format: The .design file is divided into 4 parts, in each part the settings are stored in the form Setting = Value. The value can be a string, an Integer or a Boolean. If it is a Boolean, "0" means "Off" and "1" means "On".

Please check out the examples to see how the settings works. If you have some big and unsolvable problems, ask me.

General window settings

NameOfTheDesigner

Type in your name here, it will be visible in the Option window below the name of the loaded design.

Default: "unknown" ... but I'm sure, you know your name

WindowHeight/WindowWidth

These are the height and the width of the main window.

Default: 0/0

Hide Window Border

If you set this to 1, there will be no raised border around the main window - this is mainly useful for non-rectangular windows.

Default: 0

BackgroundMode

Set this option to "BitmapCenter", to "BitmapTile" or to "Gradient".

If you set this to BitmapCenter or to BitmapTile, Yamp needs then a "Bitmap=" statement, otherwise you must set the two colors "GradientColorFrom" and "GradientColorTo".

UseWindowShape

If you set this option to 1, Yamp needs also the settings NumberOfWindowShapePoints and the Points P1x, P1y ... Pnx, Pny.

Default: 0

NumberOfWindowShapePoints

This is the option for the number of points of the window shape polygon. Valid values are 3..100.

Default: 0

After this option, you have to give Yamp the co-ordinates of each point in the form P1x=, P1y= up to Pnx=  and Pny = ... n is the NumberOfWindowShapePoints.

Label Settings

There exists two labels in Yamp, the song name and the "Yamp" logo. Both labels have the following settings:

Left/Top/Width/Height

... the position and size of the labels.

Defaults: 0

FontColor

I'm sure you know the meaning. The color consists of the parts Red (rr), Green (gg) and Blue (bb), the format is $bbggrr. The valid range for each color part is "00" - "ff".

Default: $000000

Examples: $0000ff $00ff00 $ff0000 $000000 $c0c0c0

FontName

... the font for the label. If you don't make a private design, I recommend to use standard fonts like "Arial", "Times New Roman" and "Courier"

Default: MS Sans Serif

FontSize

... the font size of the label.

Default: 8

FontBold

If this option is set to "1", the bold property of the font will be set.

Default: 0

FontItalic

... see FontBold

Gauge Settings

ShowShadow - global for all gauges

Defines wether the shadows are visible or not.

Default: 0

ShadowRelPosX /ShadowRelPosY - global for all gauges

This are the relative positions of the shadow to the gauge.

ShadowColor - global for all gauges

The color of the shadow.

Default: $000000

Left/Top/Width/Height

These settings defines the position and size of each gauge.

The Buttons

FontColor/FontName/FontSize/FontBold/FontItalic - global for all buttons

Please read the description of the label settings.

ShowBevel - global for all buttons

If this option is set to 1 and the mouse is over the button, a bevel will be drawn.

Default: 0

Bitmap1/Bitmap2

The two bitmaps for the button. Bitmap1 is the standard bitmap, Bitmap2 will only be shown when the mouse is over the button.

Default: use no button

Caption

This settings defines the button text.

Default: no text

Left/Top/Width/Height

These settings defines the position and the size for the button.

Defaults: 0


Shortcuts

- The Shortcuts -

Key	Function
Space	play
Escape	stop
P	pause
Cursor left	rewind
Cursor right	fast forward
Cursor up	next song
Cursor down	previous song
F1	help
M	minimize the application
Alt+F4	start the shutdown ritual
O	options
D	disk operations / playlist editor
I	file information
A	about


History

- The Version History -

0.0 - 1.0

private releases

1.1 (13-May-1997)

first public release

1.2 (13-June-1997)

o	7 new designs
o	quick-load function for designs -> right-click at the Option button
o	some minor bugfixes and improvements

1.3 (6-August-1997)

o	a new version of the MIDAS DLL is out, followed by a new version of Yamp - faster, high-quality mixing routines - preliminary .IT support
o	"Always on top" option
o	"Repeat song", "Repeat playlist" and "Shuffle mode" option -> right-click at the Play button
o	a lot of other minor improvements